// priority: 0

// Visit the wiki for more info - https://kubejs.com/

StartupEvents.registry('item', event => {
    event.create('etherite_smithing_template').displayName("Smithing Template").tooltip("§7Etherite Upgrade").tooltip(" ").tooltip("§7Applies to:").tooltip(" §9Echoium Equipment").tooltip("§7Ingredients:").tooltip(" §9Etherite Ingot")
    event.create('echoium_smithing_template').displayName("Smithing Template").tooltip("§7Echoium Upgrade").tooltip(" ").tooltip("§7Applies to:").tooltip(" §9Allay Steel Equipment").tooltip("§7Ingredients:").tooltip(" §9Echoium Ingot")
    
    event.create('apollyon_top_left').displayName("§4§kapollyon")
    event.create('apollyon_top_mid').displayName("§4§kapollyon")
    event.create('apollyon_top_right').displayName("§4§kapollyon")
    event.create('apollyon_bottom_left').displayName("§4§kapollyon")
    event.create('apollyon_bottom_mid').displayName("§4§kapollyon")
    event.create('apollyon_bottom_right').displayName("§4§kapollyon")
    event.create('apollyon_full').displayName("§4§kapollyon")

    event.create('upgrade_gem_1').texture('kubejs:item/upgrade_gem').displayName('Upgrade Gem I')
    event.create('upgrade_gem_2').texture('kubejs:item/upgrade_gem').displayName('Upgrade Gem II')
    event.create('upgrade_gem_3').texture('kubejs:item/upgrade_gem').displayName('Upgrade Gem III')

    event.create('frosted_sword', 'sword').displayName("§9Frost Sword").attackDamageBonus(665).speed(-2.6).rarity("legendary")

    event.create('apollyon_hint_one').texture('kubejs:item/apollyon_hint_one').displayName("§4§k§lapollyon §r§4§l1 §4§k§lapollyon").maxDamage(9)
    event.create('apollyon_hint_two').texture('kubejs:item/apollyon_hint_one').displayName("§4§k§lapollyon §r§4§l2 §4§k§lapollyon").maxDamage(9)
    event.create('apollyon_hint_three').texture('kubejs:item/apollyon_hint_one').displayName("§4§k§lapollyon §r§4§l3 §4§k§lapollyon").maxDamage(9)
    event.create('apollyon_hint_four').texture('kubejs:item/apollyon_hint_one').displayName("§4§k§lapollyon §r§4§l4 §4§k§lapollyon").maxDamage(9)
    event.create('apollyon_hint_five').texture('kubejs:item/apollyon_hint_one').displayName("§4§k§lapollyon §r§4§l5 §4§k§lapollyon").maxDamage(9)
    event.create('apollyon_hint_six').texture('kubejs:item/apollyon_hint_one').displayName("§4§k§lapollyon §r§4§l6 §4§k§lapollyon").maxDamage(9)

    event.create('eye_of_evil').displayName("§4§lEye of Evil")

    event.create('heart_of_the_nether').displayName("§cHeart of the Nether")
    event.create('black_crimson').displayName("§0Black Crimson")
    event.create('heart_of_the_aether').displayName("§eHeart of the Aether")
    event.create('heart_of_the_undergarden').displayName("§2Heart of the Undergarden")
    event.create('ascendral_shard').displayName("Ascendral Shard")
    event.create('ascendral_alloy').displayName("§bAscendral Alloy")
    event.create('ascendral_star').displayName("§lAscendral Star")
    event.create('mana_crystal').displayName("Mana Crystal").tooltip("§bWhen eaten increases Mana +25").rarity("legendary")
    event.create('mana_regeneration_crystal').displayName("Mana Regeneration Crystal").tooltip("§bWhen eaten increases Mana Regeneration +0.1").rarity("legendary")
    event.create('cooldown_reduction_crystal').displayName("Cooldown Reduction Crystal").tooltip("§bWhen eaten increases Cooldown reduction +0.03").rarity("legendary")
    event.create('spell_power_crystal').displayName("Spellpower Crystal").tooltip("§bWhen eaten increases Spellpower +1").rarity("legendary")
})

